Foydalanuvchilar
const url = 'https://api-admin.billz.ai/v1/user?page=1&limit=1000&type=-1&force_roles=false';const options = { method: 'GET', headers: { 'platform-id': '7d4a4c38-dd84-4902-b744-0488b80a4c01', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api-admin.billz.ai/v1/user?page=1&limit=1000&type=-1&force_roles=false' \ --header 'Authorization: Bearer <token>' \ --header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'Xato kodlari: 400 — kiruvchi ma’lumotlar validatsiya xatosi; 401, 403, 429, 500 — barcha metodlar uchun umumiy. Tana formatlari va semantikasi: Javob kodlari va xatolar.
Authorizations
“Authorizations” bo'limiParameters
“Parameters” bo'limiQuery Parameters
“Query Parameters” bo'limiRaqam emas -> 400. Juda katta qiymat — 400, error_code=138
Raqam emas -> 400. Juda katta qiymat — 400, error_code=138
Example
1000-1 — barchasi, 1 — oddiy, 2 — integratsion
Uzunligi cheklangan; juda uzun satr — 400, error_code=139
Standart holatda — faol va taklif qilinganlar. Elementlar soni cheklangan
Elementlar soni cheklangan
Elementlar soni cheklangan
true satri
Integratsion foydalanuvchilar uchun rollarni qaytarish
Faqat sort_direction bilan birga qo’llaniladi
Asc|desc
Header Parameters
“Header Parameters” bo'limiPlatforma identifikatori. Integratsiyalar uchun statik qiymat ishlatiladi.
Responses
“Responses” bo'limiMuvaffaqiyatli javob
object
object
Qiymat bo’sh bo’lsa, javobda bo’lmaydi
Qiymat bo’sh bo’lsa, javobda bo’lmaydi
Qiymat bo’sh bo’lsa, javobda bo’lmaydi
object
object
object
object
1 oddiy, 2 integratsion
object
Examplegenerated
{ "current_users_count": 1, "blocked_users_count": 1, "deleted_users_count": 1, "count": 1, "users": [ { "id": "example", "external_id": 1, "company_id": "example", "phone_number": "example", "first_name": "example", "last_name": "example", "birth_date": "example", "gender": "example", "mobile_login_allowed": true, "enable_max_validated_devices_limit": true, "max_validated_devices": 1, "status_id": "example", "is_active": true, "image": "example", "image_url": "example", "is_image_avatar": true, "language": "example", "theme": "example", "current_cashbox_id": "example", "current_shop_id": "example", "cashboxes": [ "example" ], "shops": [ { "id": "example", "shop_id": "example", "shop": { "name": "example" } } ], "roles": [ { "id": "example", "role_id": "example", "role": { "name": "example" } } ], "created_at": "example", "updated_at": "example", "deleted_at": 1, "telegram_id": 1, "props_updated": true, "type": 1, "tariff_limits": { "company_tariff": "example", "cashbox_count": 1, "products_count": 1, "users_count": 1, "customers_count": 1 } } ]}